/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.repository');


org.ametys.repository.HomePage = function()
{
}

org.ametys.repository.HomePage._tabs ;

org.ametys.repository.HomePage.initTabs = function(tab)
{
	org.ametys.repository.HomePage._tabs = [
	                            			new org.ametys.repository.JCRViewTab(false),
	                            			tab,
	                            			new org.ametys.repository.AdminTab(),
	                            			new org.ametys.repository.ConsoleTab()
	                            		];
}




/**
 * Create the panel
 */
org.ametys.runtime.HomePage.createPanel = function ()
{
	// Request isStandalone or not ?
	var serverMessage = new org.ametys.servercomm.ServerMessage(null, workspaceURI + '/repository/is-standalone',
			{}, 
			org.ametys.servercomm.ServerComm.PRIORITY_SYNCHRONOUS,  
			null, 
			this,
			null);
	
	var response = org.ametys.servercomm.ServerComm.getInstance().send(serverMessage);
	
	if (org.ametys.servercomm.ServerComm.handleBadResponse("<i18n:text i18n:key="ERROR_MSG_IS_STANDALONE"/>", response, "org.ametys.cms.tool.user.Edit"))
	{
		return;
	}
	
	var isStandalone = response.selectSingleNode("response").selectSingleNode("isStandalone")[org.ametys.servercomm.ServerComm.xmlTextContent];

	if (isStandalone=="false")
	{	
		// if in Ametys, tabs have been initialized by the function org.ametys.repository.HomePage.initTabs
		
//		myTabs = [
//			new org.ametys.repository.JCRViewTab(false),
//			//new org.ametys.repository.AmetysViewTab(),
//			new org.ametys.repository.AdminTab(),
//			new org.ametys.repository.ConsoleTab()
//		]
	}
	else
	{
		var alreadyReg = response.selectSingleNode("response").selectSingleNode("alreadyRegistered")[org.ametys.servercomm.ServerComm.xmlTextContent];

		if (alreadyReg=="false")
		{	
			org.ametys.repository.actions.Connect ();
			org.ametys.repository.HomePage._tabs = [];
		}
		else
		{
			// if standalone, but already registered, create the 3 tabs
			org.ametys.repository.HomePage._tabs = [
						new org.ametys.repository.JCRViewTab(true),
						new org.ametys.repository.AdminTab(),
						new org.ametys.repository.ConsoleTab()
					]
		}
	}

	/**
	 * Returns the global planel
	 */
	return new Ext.TabPanel ({
		id: 'global-tab-panel',
        activeTab: 0,
		items: org.ametys.repository.HomePage._tabs
	});
}
